#ifndef __RTPI_UNIQUE_ID_H__
#define __RTPI_UNIQUE_ID_H__

#include <vector>
#include <string>
#include <util/types.h>

namespace RTPI {

  class UniqueIdClient {
  public:
    UniqueIdClient(std::string _address, int port); // address in dot ip notation
    ~UniqueIdClient() {}

    bool Alive();

    std::vector<uint32>* GetIds(std::string scope, uint32 number);

  private:
    int sock;
    sockaddr_in address;
  };
}



#endif
