/* -*- C++ -*-

   file.cc -- short description

   Author:    Christoph Kuhmuench
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: cjk@pi4.informatik.uni-mannheim.de

   $Id: StringTokenizer.cc,v 1.1.1.1 2000/01/18 15:02:30 cjk Exp $
*/

#include "StringTokenizer.h"

int StringTokenizer::countTokens() const
{
  StringTokenizer tmp= *this;
  int             count;
  for ( count = 0; tmp.hasMoreTokens(); ++count ) {
    tmp.nextToken();
  } // for
  return count;
} // StringTokenizer::countTokens


string& StringTokenizer::nextToken()
{
  delim= "";
  for (token =""; pos <= s.length(); pos++) {
    if (delimeters.find(s[pos]) != string::npos)
      for (delim= ""; pos <= s.length(); pos++)
        if (delimeters.find(s[pos]) != string::npos)
          {
            delim += s[pos];
          }
        else {
          return token;
        }
    else {
      // tmp(s[pos]);
      token+= s[pos];
    }
  }


  delim = "";
  return token;
};

string& StringTokenizer::getWhatsLeft()
{
  token = s.substr(pos);
  delim = "\n";
  return token;
};















