/* -*- C++ -*-

   file.h  -- short description

   Author:    Christoph Kuhmuench
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: cjk@pi4.informatik.uni-mannheim.de

   $Id: errorhandler.cc,v 1.1.1.1 2000/01/18 15:02:31 cjk Exp $
*/

#include "errorhandler.h"
#include <pdu/pdu.h>


DatagramSocket* ErrorHandler::ctrlSocket= NULL;     /// comunication sock

inline void ErrorHandler::send(string msg, InetAddress &ip, int port)
// {{{ body
{
  out(msg);
  
  ErrorPDU        errorPdu(msg);
  char            buf[4096];
  DatagramPacket *dtg= errorPdu.generatePacket(buf, 4096, ip, port);
  ctrlSocket->send(*dtg);
  delete dtg;  
};
  // }}}



